UNHERF(1)

NAME
unherf - BioWare HERF archive extractor

SYNOPSIS
unherf [options] command file

DESCRIPTION
unherf extract BioWare HERF archives, found in the Nintendo DS game Sonic Chronicles: The Dark Brotherhood.

A HERF, Hashed ERF, is a very simple archive, similar to BioWare's ERF and RIM files. Unlike those, HERF usually only store djb2 hashes of the contained filenames. This tool has a lookup table to convert the hashes back into readable filenames. Not all names are known yet.

OPTIONS
-h
- -help
    Show a help text and exit.
- -version
    Show version information and exit.
command
    l   List archive contents
    e   Extract files to current directory
file
    The HERF archive to read.

EXAMPLES
List all files contained in the archive archive.herf:

    $ unherf l archive.herf

Extract all files from the archive archive.herf:

    $ unherf e archive.herf

SEE ALSO
unerf(1), unrim(1)

More information about the xoreos project can be found on its website: https://xoreos.org/.

AUTHORS
This program is part of the xoreos-tools package, which in turn is part of the xoreos project, and was written by the xoreos team. Please see the AUTHORS file for details.